## net.sf.saxon.event
Class XHTMLEmitter

    java.lang.Object
      net.sf.saxon.event.Emitter
          net.sf.saxon.event.XMLEmitter
              net.sf.saxon.event.XHTMLEmitter

All Implemented Interfaces:
  javax.xml.transform.Result, Receiver

    public class XHTMLEmitter

extends XMLEmitter

XHTMLEmitter is an Emitter that generates XHTML output. It is the same as XMLEmitter except that it follows the legacy HTML browser compatibility rules: for example, generating empty elements such as [BR /], and using [p][/p] for empty paragraphs rather than [p/]

Field Summary

Fields inherited from class net.sf.saxon.event.XMLEmitter
`declarationIsWritten, elementCode, elementStack, empty, openStartTag, preferHex, undeclareNamespaces`

Fields inherited from class net.sf.saxon.event.Emitter
`allCharactersEncodable, characterSet, namePool, outputProperties, outputStream, pipelineConfig, streamResult, systemId, writer`

Constructor Summary
`XHTMLEmitter()`

Method Summary
`protected java.lang.String` `emptyElementTagCloser(java.lang.String displayName, int nameCode)` Close an empty element tag.
`protected void` `openDocument()` Do the real work of starting the document.

Methods inherited from class net.sf.saxon.event.XMLEmitter
`attribute, characters, close, closeStartTag, comment, endDocument, endElement, getCachedName, namespace, open, outputCharacterReference, processingInstruction, putCachedName, startContent, startDocument, startElement, testCharacters, writeAttribute, writeCharSequence, writeDeclaration, writeDocType, writeEscape`

Methods inherited from class net.sf.saxon.event.Emitter
`getConfiguration, getOutputProperties, getOutputStream, getPipelineConfiguration, getSystemId, getWriter, makeWriter, setOutputProperties, setOutputStream, setPipelineConfiguration, setStreamResult, setSystemId, setUnparsedEntity, setWriter, usesWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XHTMLEmitter

    public XHTMLEmitter()

Method Detail

### openDocument

    protected void openDocument()
                         throws XPathException

  Do the real work of starting the document. This happens when the first content is written.

  Overrides:
    `openDocument` in class `XMLEmitter`
  Throws:
    `XPathException`

### emptyElementTagCloser

    protected java.lang.String emptyElementTagCloser(java.lang.String displayName,
                                                     int nameCode)

  Close an empty element tag.

  Overrides:
    `emptyElementTagCloser` in class `XMLEmitter`
  Parameters:
    `displayName` - the name of the empty element
    `nameCode` - the fingerprint of the name of the empty element
  Returns:
    the string used to close an empty element tag.

Copyright (c) Saxonica Limited. All rights reserved.